Choose your location

Help : Site Requirements

Times change and so do technologies. Although you should be able to navigate and view most of the Veer site using any web browser, some features and functionality within the site will require the use of current software.

Web Browsers

The Veer site takes advantage of CSS (Cascading Style Sheets) and AJAX (Asynchronous JavaScript and XML) wherever possible. Modern web browsers such as Safari and Firefox have been developed to display CSS-based designs as accurately as possible. Likewise, the use of AJAX creates a much more interactive web environment when modern browsers are used. (See also: JavaScript)

We recommend the use of one of the following browsers for the best experience.

Certain site features and functionality may not work correctly if you are using beta or prerelease versions of supported browsers. Again, we recommend that you use the latest release version of one of the supported browsers listed above.

* You can get away with Safari 2.0.4 and later if you’re stuck running an older version of Mac OS X – we’re just saying that Safari 3.0 and later will provide a much better user experience on the site.

Unsupported Web Browsers

If your browser is not fully supported by the Veer site, a very obvious notice will be displayed near the top of the page.

Trust us… you won’t be able to miss it.

Browser support message

Cookies

The Veer web site requires that cookies be enabled in your web browser. For information on how we use cookies on the Veer web site, refer to our Privacy Statement.

JavaScript

The Veer web site requires that JavaScript be enabled in your web browser. While we make the best effort to ensure that all areas of the Veer site are accessible to anyone, some content and functionality (such as Image Zoom, Flont, advanced Search options, and features within the Ideas section) require the use of JavaScript.

Macromedia Flash®

All Flash elements on the Veer web site require Macromedia Flash Player 8 or higher to function or display properly. While we make the best effort to ensure that all areas of the Veer site are accessible to anyone, some content and preview tools (such as Image Zoom, Flont, and Shuttleboard) require the use of Flash.

Download the latest version of Macromedia Flash Player.

Apple QuickTime®

Promotional movies on the Veer web site require Apple QuickTime 6 or higher to function or display properly.

Download the latest version of Apple QuickTime.

Adobe Acrobat®

Product catalogs and other information on the Veer web site is available in Adobe Acrobat PDF (Portable Document Format). Acrobat Reader or similar PDF viewing software is required to view and print these documents.

Download the latest version of Adobe Reader.

 

Next: Security

Close